Page MenuHome

Region below transparent sidebar panels captures mouse input
Closed, ResolvedPublic

Description

System Information
Operating system: Windows 10 x64 latest update
Graphics card: gtx 1060 3gb

Blender Version
Broken:
2018-12-22-9:56 hash 4c5e76025d83

When navigating the UV from the UV editor, it doesnt respond consistently whenever I roll the scrollwheel. The icon and the sugestions at the border of the space indicates that my input is being captured, but the zoom level and pan is not captured. Also tried with the touchpad just in case the mause was the trouble, but no luck.

Details

Type
Bug

Event Timeline

System Information
Operating system: Windows 10 x64 (10.0.17134.472)
Graphics card: Nvidia GTX 1080

Blender Version
Broken: 2.80, rBdafaa6f22881, 2018-12-22 00:52

Would like to add that this started for me with the dafaa6f22881 build and the 3D view port is also affected. It is difficult to determine precise steps to reproduce this but this usually causes it to happen pretty quickly for me:

  • UV Editing Workspace
  • Move mouse between viewports having the first action be an attempt to pan using the mouse wheel.
  • If it works, try zooming with the mouse wheel next. Often the zoom will fail for me.
  • Switching between viewports now will have mixed results on whether pan/zoom works.
  • Sometimes moving the cursor into a viewport and pressing and releasing the mouse wheel button will restore the input for me.
Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.

I can not reproduce this with a build from today, could you see if this is still a problem with a newer build from https://builder.blender.org/download/ ?

I had something similar happen in the node editor. The scroll wheel would no longer zoom in and out. If you press the middle mouse down and move up or down, it would act like the zoom widget in the 3D view. Also, I could no longer hold the middle mouse down and rotate ,cause the 3D view was acting the same way. Restarting blender fixed the issue ,but there was something going on. I have no idea what triggered this behavior ,but something did.

I think I figured out what I was experiencing ...

The hit area for the T and N sidebars cover the whole height of the screen even though I have the impression that I am clicking in the view port because of the background transparency. This becomes much more of an issue when working with the two view ports in the UV layout.

Red area shows the entire region that is directing mouse input to the N panel and not the view port.

(rBa4e4d9f0ab89)

@Brecht Van Lommel (brecht) Is there a ticket to merge in these "mouse is grabbed by the transparent area of the panels" into? I thought we did, but I haven't managed to find it by searching the bug tracker...

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Confirmed, Medium.Jan 15 2019, 12:40 PM
Brecht Van Lommel (brecht) renamed this task from Uv editor responding randomly to scrollwheel in uv editing workspace to Region below transparent sidebar panels captures mouse input.

So, I guess the solution is for the input to fall back to the underlying view when there is no panel under the cursor?

Yes. I was thinking of making the region dynamically sized based on the contents. But unfortunately it's more complicated than that because the tabs are part of the same region, so we have a kind of non-rectangular region.

Cant the tabs get a seperate area they already seem sort of separate because ui is rotated there. Im not sure how this part work in GUI

Yes. I was thinking of making the region dynamically sized based on the contents. But unfortunately it's more complicated than that because the tabs are part of the same region, so we have a kind of non-rectangular region.

I had commented this in a different post. Cant the scroll function be activated if the total height of the panels is bigger than the total height of area? That way the scroll would only be active when needed.

However im not sure if these kind of function can be applied to a panel. The idea is simple and many scroll functions in like flash and HTML work this way

This is happening to me today in the 3D viewport with build 9315cc443b1d, windows pro 64 bit, GTX 1050. I noticed that no matter how I resize the sidebar any region underneath it won't capture my pan and rotate view commands.

Brecht Van Lommel (brecht) raised the priority of this task from Confirmed, Medium to Confirmed, High.Mar 18 2019, 4:02 PM

Until this problem is fixed properly, we should make the region overlapped areas have a very very small amount of opacity, rather than zero. Just enough to give a hint that something is there. Just on the default theme.

Since it would just be on the default theme, and because it is so easy for users to change, I can't see people being upset about it. But at least then new users would start off with a sense of how big that panel is, that it extends to the bottom. They would understand why their mouse pointer wants to resize that (invisible) edge and otherwise behaves differently there than they expect.

And when the problem is fixed properly the default could be changed back to having invisible side panels.